<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

// 컨텐츠몰 설정파일 레코드 읽음
function get_contents_config($error=false)
{
    global $g4;

    return sql_fetch(" select * from $g4[cont4_config] ", $error);
}

// 주문번호 생성 (중복방지를 위해 주문번호 테이블을 별도 운영)
function get_ordr_idxx()
{
    global $g4;

    // 기존 주문번호 삭제 루틴 추가
    //

    $ok = true;
    do
    {
        // 주문번호를 만든다.
        // 년월일시분초 + 마이크로타임 소수점 3자리부터 4자를 얻는다.
        $ordr_idxx = date("ymdhis", time()).substr(microtime(),4,4);
        $sql = " insert into $g4[cont4_ordr_idxx] set ordr_idxx = '$ordr_idxx', ordr_ip = '$_SERVER[REMOTE_ADDR]' ";
        $result = sql_query($sql, false);
        if ($result)
            $ok = false; // insert 되었다면 while 문을 빠져나감
    } while ($ok);

    return $ordr_idxx;
}
?>